<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('suppliers', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->index()->constrained('users')->onDelete('cascade');
            $table->foreignId('medicine_company_id')->index()->constrained('medicine_companies')->onDelete('cascade');
            $table->string('supplier_name');
            $table->string('supplier_email');
            $table->string('supplier_phone')->nullable();
            $table->enum('status', [0, 1])->default('1')->comment('0=inactive,  1=active');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('suppliers');
    }
};
